\documentclass[../main.tex]{subfiles}

\begin{document}

Multiparty Computation(MPC) is a way by which multiple parties can compute some function of their individual secret inputs, without any party revealing anything to the other parties about their input, other than what can be learned from the output. Unlike traditional cryptographic tasks, where the adversary is outside the system of sender and receiver, the adversary is a part of the participants. This model frees the cryptographers from the centralized paradigm to the distributed paradigm. Many unsolved problems like Yao's millionaires' problem \cite{yao1982protocols} or secure auction system \cite{bogetoft2009secure} can be perfectly settled. In a sense, MPC is rather a new paradigm than a specific cryptographic algorithm.

MPC can be considered as a configurable framework with a mixture of crypto tools, which gives participants the right to organize the specific protocol according to the security level and efficiency limitation of a scenario. The beauty of multiparty protocols is that they use a rich body of tools and sub-protocols, some of which have been developed especially for MPC and others previously developed for the cryptographic non-distributed setting. These tools include zero-knowledge proof (ZKP) \cite{rackoff1991non}, probabilistic encryption, information-theoretic Message Authentication Code (MAC), various distributed commitment schemes, and oblivious transfer \cite{rabin2005exchange}. Most importantly, secret-sharing \cite{pedersen1991non} and computing with shares of a secret is fundamental to achieving secure multiparty computation. In particular, the polynomial secret sharing of Shamir \cite{shamir1979share} in the case of passive adversary is a cornerstone in multiparty computations, and the verifiable secret sharing \cite{chor1985verifiable} plays an analogous role in the Byzantine adversary case. 

There are various MPC protocols built with different assumptions in terms of security models. For example, Sharemind \cite{bogdanov2008sharemind} and VIFF \cite{geisler2007viff} assume a semi-honest scenario where the adversary will follow the given protocol but only try to reveal others' private input. Whereas, under malicious situation the participants will manipulate whatever they need to get the data, including colluding and/or malicious computation. 

With theoretical and practical achievements over the last decade, MPC has finally evolved to a point where performance shouldn't be considered the primary impediment to use. With theoretical constructions going back 35 years, there are substantial improvements in algorithmic and engineering designs over the past decade to improve performance. The performance of MPC has improved by 4-5 orders of magnitude over the past decade (Figure \ref{fig:mpc_efficiency}). Both for comparison purposes and to account for the effects of Moore's law, we also show the performance of native AES computation over the same time period.
\begin{figure}[ht]
\centering
\includegraphics[width=10cm]{graphics/mpc_throughput.png}
\caption{Efficiency Improvement over MPC}
\label{fig:mpc_efficiency}
\end{figure}

Our goal is to build a MPC network with high availability for the first time, where any business needs for secure computation can be conducted on the network or by using smart contracts on existing blockchains such as Ethereum or EOS. This will bring several benefits: 1) MPC computation will be as simple as plug-and-play. No prior knowledge is needed to set it up correctly. 2) Since dedicated nodes run MPC, the cost for conducting such work will be much lower. and 3) The MPC "cloud" can bring awareness to the business world, as well as the general public, so that more secure computation can be conducted using MPC.

\end{document}

